Kerbal Space Program - Bug #8449

Fairings do not deploy if on the same stage with a decoupler and the root part above the decoupler
04/05/2016 10:09 PM - KerrMue

Status: Updated Start date: 04/05/2016
Severity: Normal % Done: 10%
Assignee:

Category: Parts

Target version:

Version: 1.3.1 Language: English (US)
Platform: Linux, OSX, PS4, Windows, XBoxOne Mod Related: No
Expansion:

Description

KSP Version: v1.1.0.1173 Windows 64-bit

What Happens: If a (interstage) fairing is on the same stage as one or more decouplers and the rootpart is "above" the decoupler
the fairing wonA’t deploy by staging or action groups. If you change the rootpart to something below the decoupler or build the rocket
from bottom to top it works as intended.

Mods / Add-Ons: All Stock

Steps to Replicate:

1) Build a rocket from top to bottom. Launch escape system, command pod, decoupler, some stuff, enclose that up to the command
pod, set up an action group for a launch abort

2) press backspace

Result:

Fairing stays intact eventally holding the command module in place

Fixes/Workarounds:

- change the root part to a part below the decoupler

- deplay the fairing before firing the decoupler

- enclosing the rootpart ompletely with the fairing also seems to work, but who builds a fairing around the LES?

[img]http://i.imgur.com/ar3VVqgD.png[/img]

Video:
https://www.youtube.com/watch?v=EmhZg-fDF4E

Craft:
https://kerbalx.com/herrmue/Standard-Crew-Transporter-IHS

(on this craft neither the launch escape nor the ejection of the main stage functions in the standard configuration)

System:

Geforce GTX560Ti
i5-3330 CPU

16 GB RAM

Win 10 Home 64Bit

| didnA't find this issue reported before. My first Bugreport. | hope | didnA't mess up.

History

#1 - 04/05/2016 11:35 PM - KerrMue

sorry, wrong bugtracker.

#2 - 07/17/2016 09:44 AM - TriggerAu
https://www.youtube.com/watch?v=EmhZg-fDF4E
https://kerbalx.com/herrmue/Standard-Crew-Transporter-IHS

- Status changed from New to Needs Clarification

#3 - 02/13/2018 09:32 AM - psycho_zs

- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

- Version changed from Not Applicable to 1.3.1

- Platform Linux, OSX, PS4, XBoxOne added

| can confirm this. Especially for interstages, it is impossible to properly stage a fairing with decoupler simultaneously. Part on fairing's open end is
detached and fairing will not deploy.

With this setup:
Or this:

| < LES, fairing concludes here
/=\ < decoupler
Il 11 < payload
| = | < decoupler (not activated in this stage)
[ ] < fairing

( have to stage fairing first, then stage LES with its decoupler, otherwise fairing will not deploy )
